config_for_sw2()
{
   num=`nvram show | grep ^static_router | wc -l`

   count=0
   for tmp in `nvram show | grep ^static_router | awk -F"=" '{print $1}'`
      do 
         route=`nvram get "$tmp"`
         act=`echo "$route" | awk -F" " '{print $3}'`
         pri=`echo "$route" | awk -F" " '{print $2}'`
         if [ "$act" = "1" ];then
            count=$(($count+1))
            if [ "$pri" = "0" ]; then
               st_route=`echo "$route" | awk -F" " '{print $4 ":" $5 ":" $6 ":" $7 ":" $3 " "}'`
            else
               st_route=`echo "$route" | awk -F" " '{print $4 ":" $5 ":" $6 ":" $7 ":0 "}'`
            fi
            all_routes=`echo "$st_route" "$all_routes"`
         fi
      done

    nvram set lan_route="$all_routes"
    touch /tmp/configs/rm_old_route
}

config_router_add()
{
	add_num=`nvram show | grep ^static_router | wc -l`
	add_num=$(($add_num+1))
	$nvram set static_router$add_num="$2 $3 $4 $5 $6 $7 $8 $9"
}
config_router_eidtnum()
{
        $nvram set router_eidtnum=$1
}
config_router_edit()
{
	$nvram set static_router$1="$2 $3 $4 $5 $6 $7 $8 $9"
	$nvram unset router_eidtnum
}
config_router_del()
{
	$nvram unset static_router$1
	$nvram show | grep static_router | grep -v ^size | sort -n > /tmp/aa
	cat /tmp/aa | /bin/grep 'static_router[0-9]=' > /tmp/cc
	cat /tmp/aa | /bin/grep 'static_router[0-9][0-9]=' >> /tmp/cc
	mv /tmp/cc /tmp/aa
	line=`grep "static_router" -c /tmp/aa`
	num=1
	while (test $num -le $line)
	do
		name=`sed ''"$num"'p' -n /tmp/aa | sed 's/static_router.*=//'`
		static_name=static_router$num
		$nvram set $static_name="$name"
		num=$(($num+1))
	done
	if [ $1 != $num ];then
		nvram unset static_router$num
	fi
	rm -f /tmp/aa
}
