get_proto() #$1:0 -- tcp, 1--udp, 2--all
{
	if [ "$1" = "0" ] || [ "$1" = "TCP" ]; then
		echo -n "tcp"
	elif [ "$1" = "1" ] || [ "$1" = "UDP" ]; then
		echo -n "udp"
	else
		echo -n "*"
	fi
}

get_onoff()
{

	if [ "$1" = "0" ] || [ "$1" = "off" ]; then
		echo -n "off"
	else
		echo -n "on"
	fi
}


config_triggering_add()
{
	num=$($nvram get port_trigger_num)
	num=$(($num+1))
	$nvram set triggering$num="$1 $2 $3 $4 $5 $6 $7 $8 1"
	$nvram set autofw_port$num="$(get_proto $4):$5,$(get_proto $6):$7-$8>$7-$8,on,$2,$3,$1"
	$nvram set port_trigger_num=$num
	$nvram set port_forward_trigger="1"
}

config_triggering_editnum()
{
	$nvram set porttrigger_editnum=$1
}

config_triggering_edit()
{
	edit_num=$($nvram get porttrigger_editnum)
	$nvram set triggering$edit_num="$1 $2 $3 $4 $5 $6 $7 $8 $9"
	$nvram set autofw_port$edit_num="$(get_proto $4):$5,$(get_proto $6):$7-$8>$7-$8,$(get_onoff $9),$2,$3,$1"
	$nvram set port_forward_trigger="1"
}

config_triggering_del()
{
	num=$($nvram get port_trigger_num)
	num=$(($num-1))
	
	first=$1
	second=$(($1+1))
	second_entry=$($nvram get triggering$second)
	while [ "$second_entry" != "" ]; 
	do
		$nvram set triggering$first="$second_entry"
		$nvram set autofw_port$first="$($nvram get autofw_port$second)"
		first=$(($first+1))
		second=$(($second+1))
		second_entry=$($nvram get triggering$second)
	done

	$nvram unset triggering${first}
	$nvram unset autofw_port${first}
	$nvram set port_trigger_num=$num
}

config_triggering_apply()
{
	$nvram set disable_port_trigger=$1
	$nvram set porttrigger_timeout=$2
	total_num=$($nvram get port_trigger_num) 
	if [ $total_num != 0 ];then
		if [ $total_num = 1 ];then
			new_name=`$nvram get triggering1 | sed "s/.$/$3/"`
			$nvram set triggering1="$new_name"
			if [ "$3" = "1" ]; then
				autofw_new=`$nvram get autofw_port1 | sed "s/off/on/"`
				$nvram set autofw_port1="$autofw_new"
			else
				autofw_new=`$nvram get autofw_port1 | sed "s/on/off/"`
				$nvram set autofw_port1="$autofw_new"
			fi
		else
			num=1	
			new_enable_list=$3
			while (test $num -le $total_num)
			do
				new_enable=$(echo "$new_enable_list" | sed 's/,.*//')
				triggering_name=triggering$num
				autofw_name=autofw_port$num
				new_name=`$nvram get $triggering_name | sed "s/.$/$new_enable/"`
				$nvram set $triggering_name="$new_name"
				if [ "$new_enable" = "1" ]; then
					autofw_new=`$nvram get $autofw_name | sed "s/off/on/"`
					$nvram set $autofw_name="$autofw_new"
				else
					autofw_new=`$nvram get $autofw_name | sed "s/on/off/"`
					$nvram set $autofw_name="$autofw_new"
				fi
				new_enable_list=$(echo "$new_enable_list" | sed 's/.,//') 
				num=$(($num+1))
			done
		fi
	fi
}
